package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridRegion;
import com.ruoyi.system.domain.grid.vo.SimpleWgItem;
import com.ruoyi.system.domain.task.TkCommonTask;
import com.ruoyi.system.domain.task.dto.TKGridRegion;
import com.ruoyi.system.domain.task.dto.TKGridRegionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GridRegionExtMapper {
    List<GridRegion> getThirdWgList(Map<String, Object> map);

    List<GridRegion> getEconomyList();

    List<SimpleWgItem> getEconomyPointList(@Param("perMuRangeStart")String perMuRangeStart, @Param("perMuRangeEnd")String perMuRangeEnd, @Param("year")String year);

    int getEconomyCount(@Param("wgName") String wgName,@Param("level") String level ,@Param("perMuRangeStart") String perMuRangeStart,@Param("perMuRangeEnd") String perMuRangeEnd,@Param("year") String year, @Param("purpose") String purpose);

    List<GridRegion> selectThirdWgByBaseId(@Param("TkExample") TKGridRegionExample example);

    List<TKGridRegion> selectSecWgTaskStat(TKGridRegionExample example);

    long countThirdWgByBaseId(@Param("TkExample") TKGridRegionExample example);

    long countMatterId(TKGridRegionExample example);

    long countAllMatterStat(TKGridRegionExample example);

    List<TKGridRegion> selectMatterStat(@Param("TkExample") TKGridRegionExample example);

    List<TKGridRegion> selectMatterDetailStat(TKGridRegionExample example);

    Long countAllMatterDetail(TKGridRegionExample example);

    List<TkCommonTask> selectComeFrom3(TKGridRegionExample example);

    long countComeFrom3(TKGridRegionExample example);

    List<TKGridRegion> selectDeptStat(@Param("TkExample") TKGridRegionExample example);

    List<TKGridRegion> selectMatterId(TKGridRegionExample example);

    long countMatterDetailStat(TKGridRegionExample example);
}
